#include <stdio.h>
#include <stdlib.h>
#include <math.h>

//protoypes
void sdr_to_mij(float s,float d,float r,float m[3][3]);
void ar_to_gcmt_mij(float m[3][3]);
void gcmt_to_ar_mij(float m[3][3]);
void PrintPradiation(FILE *outStream, float Mij[3][3]);
void PrintMTensor(FILE *outStream, float Mij[3][3]);

int main(ac,av)
int ac;
char *av[];
{
	float theStrike,theDip,theRake,m[3][3];
  //
	// check the number of command line arguments
	if(ac != 4)
	{
		fprintf(stdout,"usage: lprmech strike dip rake\n\n");
		exit(1);
	}
	// parse the command line arguments
	sscanf(av[1],"%f",&theStrike);
	sscanf(av[2],"%f",&theDip);
	sscanf(av[3],"%f",&theRake);
  // echo the command line arguments to the user
	fprintf(stdout,"\nStrike: %1.f Dip %.1f Rake: %.1f\n",theStrike,theDip,theRake);
	// convert the strike, dip, and rake to a moment tensor
	sdr_to_mij(theStrike,theDip,theRake,m);
	// list the moment tensor
	fprintf(stdout,"\nAki & Richards Convention\n Moment Tensor:\n");
	fprintf(stdout,"   N     E     D\n");
	PrintMTensor(stdout, m);
	// print the polarity of P radiation (a seismic focal mechanism)
	PrintPradiation(stdout, m);
  // convert the moment tensor from aki and richards convention to gcmt format
	ar_to_gcmt_mij(m);
	// print out the
	fprintf(stdout,"\nGCMT Convention\n Moment Tensor:\n");
	fprintf(stdout,"   R     T     F\n");
	PrintMTensor(stdout, m);
	//
	return(0);
}
/**/
